Name:           ocamlfuse
Version:        2.7.1
Release:        %mkrel 8
Summary:        Ocaml FUSE binding
Group:          Development/OCaml
License:        GPLv2
Url:            https://github.com/astrada/ocamlfuse/
Source:         https://github.com/astrada/ocamlfuse/archive/v2.7.1_cvs5/%{name}-%{version}_cvs5.tar.gz
BuildRequires:  pkgconfig(fuse)
BuildRequires:  ocaml
BuildRequires:  ocaml-camlidl
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-findlib
BuildRequires:  perl

%description
This is a binding to fuse for the ocaml programming language, enabling
you to write multithreaded filesystems in the ocaml language. It has
been designed with simplicity as a goal, as you can see by looking at
example/fusexmp.ml. Efficiency has also been a separate goal. The
Bigarray library is used for read and writes, allowing the library to
do zero-copy in ocaml land.

%prep
%setup -q -n %{name}-%{version}_cvs5

%build
cd lib
#Disable warnings to avoid spurious message about 64 bit compatibility
#due to a missing cast in a macro
#using _smp_mflags here results in failed builds
make CFLAGS="-g -w -D_FILE_OFFSET_BITS=64 -fPIC" all

%install
%{__mkdir_p} %{buildroot}/%{_libdir}/ocaml
%{__mkdir_p} %{buildroot}/%{_libdir}/ocaml/Fuse
%{__mkdir_p} %{buildroot}/%{_libdir}/ocaml/caml
%{__mkdir_p} %{buildroot}/%{_libdir}/ocaml/stublibs
%{__mkdir_p} %{buildroot}/%{_bindir}

cd lib
make OCAMLLIB=%{buildroot}/%{_libdir}/ocaml\
     OCAMLFIND_INSTFLAGS="-destdir %{buildroot}/%{_libdir}/ocaml"\
     BINDIR=%{buildroot}/%{_bindir} \
     install

%files
%license LICENSE
%{_libdir}/ocaml/Fuse/
%{_libdir}/ocaml/stublibs/*


%changelog
* Fri Feb 28 2020 umeabot <umeabot> 2.7.1-8.mga8
+ Revision: 1551355
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 2.7.1-7.mga8
+ Revision: 1543465
- Mageia 8 Mass Rebuild

* Tue Oct 23 2018 pterjan <pterjan> 2.7.1-6.mga8
+ Revision: 1324398
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 2.7.1-5.mga7
+ Revision: 1299872
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 joequant <joequant> 2.7.1-4.mga7
+ Revision: 1245907
- upgrade version

* Sun Nov 26 2017 tv <tv> 2.7.1-3.mga7
+ Revision: 1179513
- rebuild for new ocaml

* Fri Oct 06 2017 daviddavid <daviddavid> 2.7.1-2.mga7
+ Revision: 1169735
- enable debugging information thus fixing empty debugsourcefiles.list

* Sun Oct 23 2016 joequant <joequant> 2.7.1-1.mga6
+ Revision: 1063264
- spec tweaks
- imported package ocamlfuse

